#! /usr/bin/env node


'use strict';

var analyzer = require('../analyzer');
var viewer = require('../viewer');

var _process$argv$slice = process.argv.slice(2);

var bundleStatsFile = _process$argv$slice[0];
var bundleDir = _process$argv$slice[1];


var bundleStats = void 0;
try {
  bundleStats = analyzer.readStatsFromFile(bundleStatsFile);
} catch (err) {
  console.error('Could\'t read webpack bundle stats from "' + bundleStatsFile + '":\n' + err);
  process.exit(1);
}

viewer.start(bundleStats, { bundleDir: bundleDir });